function createInstance3<R, T extends { new(...constructorArgs: any[]): R }>(constructor: T, ...args: any[]): R {
	return new constructor(args);
}

class Test3 {
	private x: number;

	constructor(x: number) {
		this.x = x;
	}

}

let test3: Test3 = createInstance3(Test3, 6);
console.log(test3);